#! /home/jonnybravo/Projekte/Python_Skripte/rclone/bin/python3.11

import os

def rclone_folders_copy(folder_to_sync=list, dest_folder = str):
    check_list = []
    for sync_folder in folder_to_sync:
        print("Hole Datein", 'rclone:' + sync_folder, "...")
        command = os.system('rclone copy rclone:' + sync_folder + ' ' + dest_folder + os.sep + sync_folder +' --update --create-empty-src-dirs &> /dev/null')
        if command == 0:
                check_list.append(True)
        elif command > 0:
                check_list.append(False)
                print("Folder", "rclone:" + sync_folder , "not exist")
        print("Kopiere Datein", dest_folder + os.sep + sync_folder, "..."  )
        command = os.system('rclone copy ' + dest_folder + os.sep + sync_folder  + ' ' + "rclone:" + sync_folder + ' --update --create-empty-src-dirs &> /dev/null' )
        if command == 0:
                check_list.append(True)
        elif command > 0:
                check_list.append(False)
                print("Folder", dest_folder + os.sep + sync_folder , "not exist")   
    for check in check_list:
        if check is False:
            return False
    return True



if __name__ == "__main__":
    folder_to_sync_manuell = ['ssh_keys', 'frei', 'Doku']
    if rclone_folders_copy(folder_to_sync=folder_to_sync_manuell, dest_folder="/home/jonnybravo/.nextcloud") is True:
        print("Sync erfolgreich")
    else:
        print("Sync nicht erfolgreich !!")


